Account
Get credit balance and API usage
Get credit balance and API usage.
GET
/
v1
/
usage
Get credit balance and API usage
curl --request GET \
--url https://api.mint.gg/v1/usage \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mint.gg/v1/usage"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mint.gg/v1/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "usage",
"credits": {
"totalAvailable": 123,
"monthlyRemaining": 123,
"monthlyAllowance": 123,
"monthlyUsed": 123,
"topUpBalance": 123,
"totalReserved": 123,
"monthlyReserved": 123,
"topUpReserved": 123
},
"subscription": {
"tier": "<string>",
"status": "<string>",
"currentPeriodEnd": "2023-11-07T05:31:56Z"
},
"apiUsage": {
"requestCount": 123,
"succeededCount": 123,
"failedCount": 123,
"previewReadyCount": 123,
"creditsUsed": 123
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}{
"type": "https://api.mint.gg/problems/animation-actions-not-in-set",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"code": "custom",
"message": "<string>"
}
],
"operationId": "<string>",
"billing": {
"reason": "subscription_required",
"resource": "preview",
"stage": "preview",
"requiredCredits": 1,
"actionUrl": "<string>",
"availableCredits": 1,
"committedCredits": 1,
"stageCredits": 1,
"completionCredits": 1,
"ctaKind": "view_plans"
}
}Authorizations
bearerApiKeymintOAuth
Mint API key sent as a Bearer token.
Response
Credit balance and API usage.
Mint account Credits, subscription, and API usage summary.
Stable object discriminator.
Account Credit balances and pending reservations.
Show child attributes
Show child attributes
Current Mint subscription, or null when no subscription is active.
Show child attributes
Show child attributes
Aggregate API usage for this account.
Show child attributes
Show child attributes
⌘I
Get credit balance and API usage
